# MongoDB Charts Embedding SDK

The official JavaScript library for embedding MongoDB Charts into your application.

**Note: This library is under active development, and is not recommended for use in production instances before a 1.0.0 release**

For the existing approaches to support embedding charts, you can find the relevant documentation here: https://docs.mongodb.com/charts/master/embedding-charts/

## Installing

### General

1. Add the `@mongodb-js/charts-embed-dom` package

```bash
# yarn
yarn add @mongodb-js/charts-embed-dom

# npm
npm install @mongodb-js/charts-embed-dom --save
```

2. Use the package

```js
import EmbedSDK from '@mongodb-js/charts-embed-dom';

const sdk = new EmbedSDK({
  baseUrl: 'https://charts.mongodb.com/example-project',
  theme: 'dark',
});

const chart = sdk.createChart({
  chartId: 'd697f81b-12aa-4586-9bfb-4e94fd3dd866',
});

// Render the chart to DOM
await chart.render(document.body);

// Refresh a chart
await chart.refresh();
```
